/* Accordion Component Styles */
.module-utils-accordion-1 .accordion article {
    background: var(--gradient-bg-overlay-2);
    border-radius: var(--radius-15);
    padding: var(--spacing-15);
    transition: var(--transition-fast);
    cursor: pointer;
    position: relative;
}

.module-utils-accordion-1 .accordion article:hover:not([view]) {
    transform: translateY(calc(var(--rpx) * -6));
}

.module-utils-accordion-1 .accordion article[view] img {
    transform: rotate(180deg);
}

.module-utils-accordion-1 .accordion article[view] .content .text {
    opacity: 1;
    height: calc(var(--text-height) + var(--spacing-20));
    padding-top: var(--spacing-20);
    pointer-events: auto;
}

.module-utils-accordion-1 .accordion article img {
    transition: var(--transition-fast);
    position: absolute;
    top: var(--spacing-30);
    right: var(--spacing-20);
}

.module-utils-accordion-1 .accordion article .content .question {
    color: var(--text);
    padding-right: calc(var(--spacing-20) + var(--spacing-20));
    font:var(--font-p1-semibold);
}

.module-utils-accordion-1 .accordion article .content .text {
    transition: var(--transition-fast);
    opacity: 0;
    height: 0;
    pointer-events: none;
}


.module-utils-accordion-1 .accordion article .content .text [animcascade] {
    opacity: 1 !important;
    transform: translateY(0) !important;
}

.module-utils-accordion-1 .accordion article .content .text p {
    color: var(--text);
}

.module-utils-accordion-1 .accordion article .content .text p:empty {
    display: none;
}

.module-utils-accordion-1 .accordion article .content .text ul {
    margin: 0;
}

.module-utils-accordion-1 .accordion article .content .text ul .h-li {
    display: block;
}

@media (max-width: 1023px) {
    .module-utils-accordion-1 .accordion article {
        padding: var(--spacing-20);
    }
}

@media (min-width: 1024px) {
    .module-utils-accordion-1 .accordion article {
        padding: var(--spacing-20);
    }
}